/**
 * Classe MaFenetre
 * La classe "Vue"
 * 
 * @author Paul
 * @version IUT 03 GEII
 */

import javax.swing.*;
import java.awt.*;    
    
public class MaFenetre extends JFrame implements ObservateurDeCompteur
{
    private JButton bPlus;
    private JButton bMoins;
    private JButton bRaZ;
    private JLabel  etiq;
    private JPanel  pBoutons;
    
    public MaFenetre(int val, MonEcouteur ref)
    {
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setBounds(10, 20, 400, 300);
        setTitle("Fenetre principale");
        getContentPane().setLayout(new BorderLayout(10, 10));
        
        this.bPlus = new JButton("Plus");
        this.bPlus.setActionCommand("Plus");
        this.bMoins = new JButton("Moins");
        this.bMoins.setActionCommand("Moins");        
        this.bRaZ = new JButton("Reset");
        this.bRaZ.setActionCommand("Reset");        
        this.etiq = new JLabel(Integer.toString(val), SwingConstants.CENTER);
        
        this.bPlus.addActionListener(ref);
        this.bMoins.addActionListener(ref);
        this.bRaZ.addActionListener(ref);
        
        this.pBoutons = new JPanel(new GridLayout(3, 1, 10, 10));
        this.pBoutons.add(this.bPlus);
        this.pBoutons.add(this.bMoins);
        this.pBoutons.add(this.bRaZ);               
        getContentPane().add(this.pBoutons, BorderLayout.WEST);
        getContentPane().add(this.etiq, BorderLayout.CENTER);   
    }
    
    public void nouvelleValeur(int val)
    {
        this.etiq.setText(Integer.toString(val));
    }   
}
